import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
ZopeTestCase.installProduct('OpenFlow')

class workitemTestCase(ZopeTestCase.ZopeTestCase):

    _setup_fixture = 0

    def afterSetUp(self):
        from Products.OpenFlow.workitem import workitem
        self.w = workitem('id', 'instance_id', 'process_id', 'activity_id', 0, 0)
        
    
    def testCreation(self):
        """ Check for the correct creation of a workitem """
        assert self.w, 'workitem not created'


    def testUnblock(self):
        """ Check unblock attribute consistency with unusual values """
        self.w.unblock()
        assert self.w.blocked >= 0, 'uncorrect values for blocked attribute'


    def testIsActive(self):
        """ we have big problems here """
        pass


    def testEdit(self):
        """ Check the names of the set methods """
        assert self.w.edit(instance_id = '',
                           process_id = '',
                           activity_id = '',
                           blocked = 0,
                           priority = 1,
                           workitems_from = [],
                           workitems_to = [],
                           status = 'active',
                           actor = 'openflow_test',
                           graph_level = 0) == None, 'uncorrect edit'
        
def getSuite():
    suite= unittest.makeSuite(workitemTestCase, 'test')
    return suite

if __name__ == '__main__':
    framework(descriptions=1, verbosity=1)
else:
    import unittest
    test_suite = getSuite
